# Generated from recon_tools-0.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name recon_tools

Name: rubygem-%{gem_name}
Version: 0.1.4
Release: 1%{?dist}
Summary: recon_tools: Tools to support importing, exporting and reconciliation of data
License: MIT
URL: https://github.com/coder-chris/recon_tools
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(rails) >= 6.1.4
# BuildRequires: rubygem(rails) < 6.2
# BuildRequires: rubygem(rspec) >= 3.6
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 1.0
# BuildRequires: rubygem(rubocop) < 2
# BuildRequires: rubygem(rubocop-performance) >= 1.5
# BuildRequires: rubygem(rubocop-performance) < 2
# BuildRequires: rubygem(rubocop-rspec) >= 2.4.0
# BuildRequires: rubygem(rubocop-rspec) < 2.5
# BuildRequires: rubygem(simplecov) >= 0.16
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(vcr) >= 6.0
# BuildRequires: rubygem(vcr) < 7
BuildArch: noarch

%description
recon_tools: Tools to support importing, exporting and reconciliation of data
from JIRA, GoogleSheets and more..


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/recon_tools.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.4-1
- Initial package
